Subject: Re: [PATCHv1] git-remote-mediawiki: import "File:" attachments

From: "Simon.Cathebras" <[email-masked]>
Date: Sat, 09 Jun 2012 01:24:13 +0200

On 08/06/2012 19:03, [email-masked] wrote:
>
> "Simon.Cathebras" <[email-masked]> a écrit :
>
>> On 08/06/2012 16:22, Pavel Volek wrote:
>>> From: Volek Pavel<[email-masked]>
>>>
>>> The current version of the git-remote-mediawiki supports only import 
>>> and export
>>> of the pages, doesn't support import and export of file attachements 
>>> which are
>>> also exposed by MediaWiki API. This patch adds the functionality to 
>>> import the
>>> last versions of the files and all versions of description pages for 
>>> these
>>> files.
>>>
>>> Signed-off-by: Pavel Volek<[email-masked]>
>>> Signed-off-by: NGUYEN Kim Thuat<[email-masked]>
>>> Signed-off-by: ROUCHER IGLESIAS Javier<[email-masked]>
>>> Signed-off-by: Matthieu Moy<[email-masked]>
>>> ---
>>
>>>  contrib/mw-to-git/git-remote-mediawiki | 290 
>>> +++++++++++++++++++++++++++------
>>>  1 file changed, 244 insertions(+), 46 deletions(-)
>>
>> I am wondering why are you showing the removal for a v1 patch ?
>
> Why not ? The file already exists on branch master and they are
> working on it.

Makes sense... I didn't notice the deletions were on master, my bad.

> Anyway, the patch applies correctly on master.
> BTW, are you implying that only v2+ patch could have deletions ?
> (a patch is not meant to be applied on the previous version).

Actually, I was just saying that showing corrections on a patche's code 
during the development of this one, isn't really necessary.
But if it is concerning a modification of a code in a previous version, 
I agree, it is absolutly useful ;).

Simon

-- 
CATHEBRAS Simon

2A-ENSIMAG

Filière Ingéniérie des Systèmes d'Information
Membre Bug-Buster